petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeIFunction

Evaluates the DAE residual written in implicit form F(t,U,Udot)=0

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIFunction(TS ts,PetscReal t,Vec U,Vec Udot,Vec Y,PetscBool imex)

Collective on TS and Vec Many br

### Input Parameters

| ts | - the TS context Many br
| t | - current time Many br
| U | - state vector Many br
| Udot | - time derivative of state vector Many br
| imex | - flag indicates if the method is IMEX so that the RHSFunction should be kept separate Many br

### Output Parameter

Y -right hand side Many br

### Note

Most users should not need to explicitly call this routine, as it Many bris used internally within the nonlinear solvers. Many br

If the user did did not write their equations in implicit form, this Many brfunction recasts them in implicit form. Many br

Many br

### Keywords

TS, compute

### See Also

TSSetIFunction(), TSComputeRHSFunction()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages